D-Bus 1.13.18

Data Fields
DBusWatch Struct Reference
D-Bus secret internal implementation details » DBusWatch implementation details

Implementation of DBusWatch. More...

## Data Fields
int | refcount
| Reference count.
DBusPollable | fd
| File descriptor.
unsigned int | flags
| Conditions to watch.
DBusWatchHandler | handler
| Watch handler.
void * | handler_data
| Watch handler data.
DBusFreeFunction | free_handler_data_function
| Free the watch handler data.
void * | data
| Application data.
DBusFreeFunction | free_data_function
| Free the application data.
unsigned int | enabled: 1
| Whether it's enabled.
unsigned int | oom_last_time: 1
| Whether it was OOM last time.

## Detailed Description

Implementation of DBusWatch.

Definition at line 40 of file dbus-watch.c.

The documentation for this struct was generated from the following file:

- dbus-watch.c